function [  ] = interactiveIt(I, compStruct, radius )

sI = size(I);

%white = (ones(sI(1), sI(2) + 200, 3));
%figure('units','normalized','outerposition',[0 0 1 1])
subplot('position',[0.01, 0.01, 0.8, 1])
%imagesc(white);
hold on;
imshow(I,'InitialMagnification','fit');

[x, y] = ginput(1);
[index, name] = findLineBetween(x, y, compStruct, radius);


hold on;
plotLines(compStruct{index,2},compStruct{index,3}, 'red');
plotLines(compStruct{index,5}, compStruct{index,6},'blue');

x = 700;
text( x  ,20 , name,  'color', 'green', 'FontSize', 20);
text(x ,50 , 'First polar:', 'FontSize', 16);
y = printConnected(compStruct{index,4}, x + 10, 60,'red');
y = y + 30;
text( x ,y  , 'Second polar:', 'FontSize',16 );
y = y + 10;
printConnected(compStruct{index,7},x + 10,y, 'blue');



end


function [runner, name] = findLineBetween(x, y, structs, radius )

rows = size(structs);
        
    for rowRunner = 1:rows(1)
         value = structs{rowRunner,1};
            nameOfField  =  fieldnames(value);
           point        =value.(nameOfField{1});
            if  (pdist([[x,y];point],'euclidean') <= radius)
                 name = nameOfField;
                 runner = rowRunner;
            end     
    end
end
 

function [y] = printConnected(listS1, x, y, color)


sList = size(listS1);
for i = 1:sList(1)
    y = y +20;
    text( x ,y , fieldnames(listS1{i}),  'color', color, 'FontSize', 16);

end

y = y + 30;
end


function [] = plotLines(startPoint, endPoint, color)
    
     sizeOf = size(startPoint);
    for i = 1:sizeOf(1)
        
          xy = [startPoint(i,:);endPoint(i,:)];
          
       plot(xy(:,1),xy(:,2),'--','LineWidth',6,'Color',color);
    end
    
end
